package com.zskk.dicom.monitor.queue;

/**
 * 当前上传队列
 * @param <String>
 */
public class CurrentUploadQueue<String> extends BaseQueue<String> {
    private CurrentUploadQueue() {
        super("CurrentUploadQueue");
    }

    private static class CurrentUploadQueueHolder {
         private static CurrentUploadQueue instance = new CurrentUploadQueue();
    }

    public static CurrentUploadQueue getInstance() {
          return CurrentUploadQueueHolder.instance;
    }

}
