package com.zskk.dicom.monitor.queue;

/**
 * 失败移动队列
 * @param <String>
 */
public class ErrorQueue<String> extends BaseQueue<String> {
    private ErrorQueue() {
        super("ErrorQueue");
    }

    private static class ErrorQueueHolder {
        private static ErrorQueue instance = new ErrorQueue();
    }

    public static ErrorQueue getInstance() {
        return ErrorQueueHolder.instance;
    }
}
