package com.zskk.dicom.monitor.queue;

/**
 * 重试移动队列队列
 * @param <String>
 */
public class RemoveFile2RetryQueue<String> extends BaseQueue<String> {
    private RemoveFile2RetryQueue() {
        super("RemoveFile2RetryQueue");
    }

    private static class RemoveFile2RetryQueueHolder {
        private static RemoveFile2RetryQueue instance = new RemoveFile2RetryQueue();
    }

    public static RemoveFile2RetryQueue getInstance() {
        return RemoveFile2RetryQueueHolder.instance;
    }
}
