package com.zskk.dicom.monitor.runner;

import com.zskk.dicom.monitor.config.Configs;

import java.util.concurrent.TimeUnit;
// todo
public abstract class BaseCurrentRunner extends AbstractUpload implements Runnable{
    @Override
    public void run() {
        while(true) {
            boolean flag = upload();
            Configs.sysLog.info("--老上传队列-- :" + getQueueName() + "\t 上传结果：" + flag + "\n队列长度：" + size());
            try {
                TimeUnit.MILLISECONDS.sleep(10);
                if(empty()) {
                    Configs.sysLog.info("The old UploadQueue is empty");
                    return;
                }
                if(!flag) {
                    TimeUnit.SECONDS.sleep(1);
                }
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }
    }
    protected abstract boolean empty();
    protected abstract String getQueueName();
    protected abstract int size();
}
