package com.zskk.dicom.monitor.queue;

/**
 * 当前重试队列
 * @param <String>
 */
public class CurrentRetryUploadQueue<String> extends BaseQueue<String> {
    private CurrentRetryUploadQueue() {
        super("CurrentRetryUploadQueue");
    }

    private static class CurrentRetryUploadQueueHolder {
         private static CurrentRetryUploadQueue instance = new CurrentRetryUploadQueue();
    }

    public static CurrentRetryUploadQueue getInstance() {
          return CurrentRetryUploadQueueHolder.instance;
    }

}
