package com.zskk.dicom.monitor.runner;

import com.zskk.dicom.monitor.utils.FileRemoveUtils;

public abstract class AbstractRemove implements IRemove{
    @Override
    public boolean remove() {
        String sourceFilePath = getSourceFilePath();
        FileRemoveUtils.remove(sourceFilePath, getTargetFilePath(sourceFilePath));
        return false;
    }

    protected abstract String getSourceFilePath();
    protected abstract String getTargetFilePath(String sourceFilePath);
}
