package com.zskk.dicom.monitor.runner;

import org.apache.http.util.TextUtils;

/**
 * 上传方法抽象类
 */
public abstract class AbstractUpload implements IUpload{
    @Override
    public boolean upload() {
        boolean flag = false;
        String filePath = getUploadFilePath();
        if(TextUtils.isEmpty(filePath)) {
            return flag;
        }
        flag = upload(filePath);
        return flag;
    }

    protected abstract boolean upload(String filePath);

    protected abstract String getUploadFilePath();
}
